Subject: Re: [RFC net-next 0/4] Support UID range routing.

From: David Newall <[email-masked]>
Date: Sat, 26 Apr 2014 22:44:49 +0930

Hi Lorenzo,

> In some environments it is useful to route packets differently
> based on the user ID.

I don't understand what your patch will do because, as I understand the 
word, "routing" means forwarding a packet one hop closer to the 
destination, so I expect you must reach the destination before you could 
know the UID.  I'm probably missing something quite obvious. Could you 
illustrate a use-case?

Thanks,

David